mxGraphHierarchyRank (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.layout.hierarchical.model
Class mxGraphHierarchyRank

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractSet<E>
              java.util.HashSet<E>
                  java.util.LinkedHashSet<mxGraphAbstractHierarchyCell>
                      com.mxgraph.layout.hierarchical.model.mxGraphHierarchyRank

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<mxGraphAbstractHierarchyCell>, Collection<mxGraphAbstractHierarchyCell>, Set<mxGraphAbstractHierarchyCell>

    public class mxGraphHierarchyRank

extends LinkedHashSet<mxGraphAbstractHierarchyCell>

An abstraction of a rank in the hierarchy layout. Should be ordered, perform remove in constant time and contains in constant time

See Also:
  Serialized Form

Constructor Summary
`mxGraphHierarchyRank()`

Method Summary

Methods inherited from class java.util.HashSet
`add, clear, clone, contains, isEmpty, iterator, remove, size`

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

Constructor Detail

### mxGraphHierarchyRank

    public mxGraphHierarchyRank()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.